Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.navstate
Interface NavigationalStateContext

All Superinterfaces:
  org.jboss.portal.common.invocation.AttributeResolver

All Known Implementing Classes:
  PortalObjectNavigationalStateContext

    public interface NavigationalStateContext

extends org.jboss.portal.common.invocation.AttributeResolver

Version:
  $Revision: 10540 $
Author:
  Julien Viet, Chris Laprun

Method Summary
`boolean` | `applyChanges()` Apply the navigational state changes made to this NavigationalStateContext.
`java.util.Iterator<? extends NavigationalStateChange>` | `getChanges()` Retrieve an iterator over the current changes.
`PageNavigationalState` | `getPageNavigationalState(java.lang.String pageId)` Retrieves the navigational state associated with the specified page identifier.
`java.lang.String` | `getViewId()` Returns the current view id.
`WindowNavigationalState` | `getWindowNavigationalState(java.lang.String windowId)` Retrieves the navigational state associated with the specified window identifier.
`void` | `setPageNavigationalState(java.lang.String pageId, PageNavigationalState pageNavigationalState)` Set the navigational state associated with the page identified by the given identifier.
`void` | `setWindowNavigationalState(java.lang.String windowId, WindowNavigationalState windowNavigationalState)` Set the navigational state associated with the window identified by the given identifier.

Methods inherited from interface org.jboss.portal.common.invocation.AttributeResolver
`getAttribute, getKeys, setAttribute`

Method Detail

### getWindowNavigationalState

    WindowNavigationalState getWindowNavigationalState(java.lang.String windowId)

  Retrieves the navigational state associated with the specified window identifier.

  Parameters:
    `windowId` - a String identifying the window which navigational state is to be retrieved
  Returns:
    the navigational state associated with the specified window identifier or `null` if the given window identifier is not known by this NavigationalStateContext or no navigational state is associated with the given identifier.

### setWindowNavigationalState

    void setWindowNavigationalState(java.lang.String windowId,
                                    WindowNavigationalState windowNavigationalState)

  Set the navigational state associated with the window identified by the given identifier.

  Parameters:
    `windowId` - the window identifier
    `windowNavigationalState` - the window navigational state

### getPageNavigationalState

    PageNavigationalState getPageNavigationalState(java.lang.String pageId)

  Retrieves the navigational state associated with the specified page identifier.

  Parameters:
    `pageId` - a String identifying the page which navigational state is to be retrieved
  Returns:
    the navigational state associated with the specified window identifier or `null` if the given page identifier is not known by this NavigationalStateContext or no navigational state is associated with the given identifier.

### setPageNavigationalState

    void setPageNavigationalState(java.lang.String pageId,
                                  PageNavigationalState pageNavigationalState)

  Set the navigational state associated with the page identified by the given identifier.

  Parameters:
    `pageId` - the page identifier
    `pageNavigationalState` - the page navigational state

### applyChanges

    boolean applyChanges()

  Apply the navigational state changes made to this NavigationalStateContext.

  Returns:
    true if state changed

### getViewId

    java.lang.String getViewId()

  Returns the current view id.

  Returns:
    the view id

### getChanges

    java.util.Iterator<? extends NavigationalStateChange> getChanges()

  Retrieve an iterator over the current changes.

  Returns:
    an iterator over the current changes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD